curl -X PUT \
'https://api.appcharge.com/v1/price-points/999' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceOverrides": [
{
"countryCode2": "BR",
"price": 34.99
},
{
"countryCode2": "IN",
"price": 499
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T12:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 34.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
},
{
"price": 499,
"currencyCode": "INR",
"isOverridden": true,
"taxModel": "Included",
"taxRate": 18,
"country": "India",
"countryCode2": "IN",
"usdExchangeRateOnCalc": 83.12,
"exchangeRateDrift": "0.8%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Price point 999 not found."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
Update Price Point
Updates a price point.
When a price point is updated, Appcharge recalculates all localized prices. If both updatedPriceInUsdCents and priceOverrides are provided in the same request, Appcharge first recalculates localized prices from the updated base price and then applies the override values.
curl -X PUT \
'https://api.appcharge.com/v1/price-points/999' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceOverrides": [
{
"countryCode2": "BR",
"price": 34.99
},
{
"countryCode2": "IN",
"price": 499
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T12:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 34.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
},
{
"price": 499,
"currencyCode": "INR",
"isOverridden": true,
"taxModel": "Included",
"taxRate": 18,
"country": "India",
"countryCode2": "IN",
"usdExchangeRateOnCalc": 83.12,
"exchangeRateDrift": "0.8%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Price point 999 not found."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
curl -X PUT \
'https://api.appcharge.com/v1/price-points/999' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceOverrides": [
{
"countryCode2": "BR",
"price": 34.99
},
{
"countryCode2": "IN",
"price": 499
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T12:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 34.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
},
{
"price": 499,
"currencyCode": "INR",
"isOverridden": true,
"taxModel": "Included",
"taxRate": 18,
"country": "India",
"countryCode2": "IN",
"usdExchangeRateOnCalc": 83.12,
"exchangeRateDrift": "0.8%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Price point 999 not found."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
Path Parameters
Base price in USD cents.
999
Body
New base price in USD cents.
999
List of country-specific prices that replace the auto-calculated price.
Exchange rates and rounding rules aren't applied. If a country's tax model includes taxes in the price, make sure the custom price include tax. If a country's tax model excludes tax from the price, Appcharge adds the applicable tax during checkout.
Overrides apply only to the countries you specify.
Show child attributes
Show child attributes
Response
Price point updated successfully.
Base price in USD cents.
999
Timestamp indicating when the price point was last updated, in UTC ISO 8601 format.
"2026-01-01T14:30:00Z"
List of localized prices by country, including overrides if present.
Show child attributes
Show child attributes
Was this page helpful?
